LibreOffice: XSlideShowController Interface Reference

LibreOffice LibreOffice 24.8 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
XSlideShowController Interface Reference

interface to control a running slide show. More...

`import <XSlideShowController.idl;`

## Public Member Functions
boolean | isRunning ()
| returns true if the slide show is still running.
long | getSlideCount ()
::com::sun::star::drawing::XDrawPage | getSlideByIndex ([in] long Index) raises ( com::sun::star::lang::IndexOutOfBoundsException )
| gives access to the slides that will be shown in this slide show.
void | addSlideShowListener ([in] XSlideShowListener Listener)
| adds a listener that receives events while the slide show is running.
void | removeSlideShowListener ([in] XSlideShowListener Listener)
| removes a listener.
void | gotoNextEffect ()
| start next effects that wait on a generic trigger.
void | gotoPreviousEffect ()
| undo the last effects that were triggered by a generic trigger.
void | gotoFirstSlide ()
| goto and display first slide
void | gotoNextSlide ()
| goto and display next slide.
void | gotoPreviousSlide ()
| goto and display previous slide.
void | gotoLastSlide ()
| goto and display last slide.
void | gotoBookmark ([in] string Bookmark)
| goto the given textual bookmark
void | gotoSlide ([in] com::sun::star::drawing::XDrawPage Page) raises ( com::sun::star::lang::IllegalArgumentException )
| jumps to the given slide.
void | gotoSlideIndex ([in] long Index)
| jumps to the slide at the given index.
void | stopSound ()
| stop all currently played sounds
void | pause ()
| pauses the slide show.
void | resume ()
| resumes a paused slide show.
boolean | isPaused ()
| returns `TRUE` if the slide show is currently paused.
void | blankScreen ([in] long Color)
| pauses the slide show and blanks the screen in the given color.
void | activate ()
| activates the user interface of this slide show.
void | deactivate ()
| can be called to deactivate the user interface of this slide show.
boolean | isActive ()
| determines if the slide show is active.
com::sun::star::drawing::XDrawPage | getCurrentSlide ()
| returns slide that is currently displayed
long | getCurrentSlideIndex ()
| returns the index of the current slide.
long | getNextSlideIndex ()
| the index for the slide that is displayed next.
boolean | isEndless ()
| returns `TRUE` if the slide show was started to run endlessly.
boolean | isFullScreen ()
| Returns `TRUE` if the slide show was started in full-screen mode.
void | setEraseAllInk ([in] boolean EraseAllInk)
| This method clears ink drawing from the slideshow being played.
XSlideShow | getSlideShow ()
| returns the actual XSlideShow instance that runs the slide show.

## Public Attributes
boolean | AlwaysOnTop
| If this attribute is set to `TRUE`, the window of the slide show is always on top of all other windows.
boolean | MouseVisible
| If this attribute is `TRUE`, the mouse is visible during the slide show.
boolean | UsePen
| If this is `TRUE`, a pen is shown during presentation.
long | PenColor
| This attribute changes the color of the pen.
double | PenWidth
| This attribute changes the width of the pen.

## Detailed Description

interface to control a running slide show.

See also
  XPresentation2

Since
  OOo 3.0

## Member Function Documentation

## ◆ activate()

void activate | ( |  | ) |

activates the user interface of this slide show.

See also
  deactivate()
  isActive()

## ◆ addSlideShowListener()

void addSlideShowListener | ( | [in] XSlideShowListener | Listener | ) |

adds a listener that receives events while the slide show is running.

## ◆ blankScreen()

void blankScreen | ( | [in] long | Color | ) |

pauses the slide show and blanks the screen in the given color.

Change attribute Pause to false to unpause the slide show.

## ◆ deactivate()

void deactivate | ( |  | ) |

can be called to deactivate the user interface of this slide show.

A deactivated

See also
  activate()
  isActive()

## ◆ getCurrentSlide()

com::sun::star::drawing::XDrawPage getCurrentSlide | ( |  | ) |

returns slide that is currently displayed

## ◆ getCurrentSlideIndex()

long getCurrentSlideIndex | ( |  | ) |

returns the index of the current slide.

## ◆ getNextSlideIndex()

long getNextSlideIndex | ( |  | ) |

the index for the slide that is displayed next.

## ◆ getSlideByIndex()

::com::sun::star::drawing::XDrawPage getSlideByIndex | ( | [in] long | Index | ) |
raises | ( | com::sun::star::lang::IndexOutOfBoundsException ) |  |  |

gives access to the slides that will be shown in this slide show.

Slides are returned in the order they will be displayed in the presentation which can be different than the orders of slides in the document. Not all slides must be present and each slide can be used more than once.

Returns
  the slide at the specified index.

Parameters

  Index | specifies the position in the list of slides that are displayed in this slide show. The first index is 0.

Exceptions

  com::sun::star::lang::IndexOutOfBoundsException | if the index is not valid.

## ◆ getSlideCount()

long getSlideCount | ( |  | ) |

Returns
  the number of slides in this slide show.

See also
  getSlideByIndex

## ◆ getSlideShow()

XSlideShow getSlideShow | ( |  | ) |

returns the actual XSlideShow instance that runs the slide show.

Normally all navigation should be done using this controller and not the XSlideShow itself.

## ◆ gotoBookmark()

void gotoBookmark | ( | [in] string | Bookmark | ) |

goto the given textual bookmark

## ◆ gotoFirstSlide()

void gotoFirstSlide | ( |  | ) |

goto and display first slide

## ◆ gotoLastSlide()

void gotoLastSlide | ( |  | ) |

goto and display last slide.

Remaining effects on the current slide will be skipped.

## ◆ gotoNextEffect()

void gotoNextEffect | ( |  | ) |

start next effects that wait on a generic trigger.

If no generic triggers are waiting the next slide will be displayed.

## ◆ gotoNextSlide()

void gotoNextSlide | ( |  | ) |

goto and display next slide.

Remaining effects on the current slide will be skipped.

## ◆ gotoPreviousEffect()

void gotoPreviousEffect | ( |  | ) |

undo the last effects that were triggered by a generic trigger.

If there is no previous effect that can be undone then the previous slide will be displayed.

## ◆ gotoPreviousSlide()

void gotoPreviousSlide | ( |  | ) |

goto and display previous slide.

Remaining effects on the current slide will be skipped.

## ◆ gotoSlide()

void gotoSlide | ( | [in] com::sun::star::drawing::XDrawPage | Page | ) |
raises | ( | com::sun::star::lang::IllegalArgumentException ) |  |  |

jumps to the given slide.

The slide can also be a slide that would normally not be shown during the current slide show.

Exceptions

  com::sun::star::lang::IllegalArgumentException | if the given page is not a valid slide of the document for which this slide show is started. Also not allowed are master, notes and handout pages.

## ◆ gotoSlideIndex()

void gotoSlideIndex | ( | [in] long | Index | ) |

jumps to the slide at the given index.

## ◆ isActive()

boolean isActive | ( |  | ) |

determines if the slide show is active.

Returns
  `TRUE` for UI active slide show
  `FALSE` otherwise

## ◆ isEndless()

boolean isEndless | ( |  | ) |

returns `TRUE` if the slide show was started to run endlessly.

## ◆ isFullScreen()

boolean isFullScreen | ( |  | ) |

Returns `TRUE` if the slide show was started in full-screen mode.

## ◆ isPaused()

boolean isPaused | ( |  | ) |

returns `TRUE` if the slide show is currently paused.

See also
  pause()
  resume()

## ◆ isRunning()

boolean isRunning | ( |  | ) |

returns true if the slide show is still running.

If this returns false, this component is already disposed. You can start a new slide show and get a new instance of XSlideShowController from XPresentation2

## ◆ pause()

void pause | ( |  | ) |

pauses the slide show.

All effects are paused.

The slide show continues on next user input or if resume() is called.

## ◆ removeSlideShowListener()

void removeSlideShowListener | ( | [in] XSlideShowListener | Listener | ) |

removes a listener.

## ◆ resume()

void resume | ( |  | ) |

resumes a paused slide show.

## ◆ setEraseAllInk()

void setEraseAllInk | ( | [in] boolean | EraseAllInk | ) |

This method clears ink drawing from the slideshow being played.

Since
  LibreOffice 7.2

## ◆ stopSound()

void stopSound | ( |  | ) |

stop all currently played sounds

## Member Data Documentation

## ◆ AlwaysOnTop

boolean AlwaysOnTop
| attribute

If this attribute is set to `TRUE`, the window of the slide show is always on top of all other windows.

## ◆ MouseVisible

boolean MouseVisible
| attribute

If this attribute is `TRUE`, the mouse is visible during the slide show.

## ◆ PenColor

long PenColor
| attribute

This attribute changes the color of the pen.

## ◆ PenWidth

double PenWidth
| attribute

This attribute changes the width of the pen.

Since
  LibreOffice 4.2

## ◆ UsePen

boolean UsePen
| attribute

If this is `TRUE`, a pen is shown during presentation.

You can draw on the presentation with this pen.

The documentation for this interface was generated from the following file:

- com/sun/star/presentation/XSlideShowController.idl